package MT::Plugin::LoveIE;
use strict;
use MT;
use MT::Plugin;
use base qw( MT::Plugin );

@MT::Plugin::LoveIE::ISA = qw( MT::Plugin );

our $VERSION = '0.1';

my $plugin = new MT::Plugin::LoveIE( {
    id   => 'LoveIE',
    key  => 'loveie',
    name => 'LoveIE',
    description => 'We love Internet Explorer',
    author_name => 'Junnama Noda',
    author_link => 'http://junnama.alfasado.net/online/',
    version => $VERSION,
} );

MT->add_plugin( $plugin );

sub init_registry {
    my $plugin = shift;
    $plugin->registry( {
        tags => {
            block => {
                'IfIE?' => \&_hdlr_if_ie,
            },
        },
   } );
}

sub _hdlr_if_ie {
    my ( $ctx, $args, $cond ) = @_;
    my $app = MT->instance();
    return 0 if (! ( ref $app ) =~ /^MT::App::/ );
    my $user_agent = $app->get_header( 'User-Agent' );
    if ( $user_agent =~ /Windows/ ) {
        if ( $user_agent =~ /;\sMSIE\s([1-9])(\.[0-9]);/ ) {
            $ctx->{ __stash }->{ vars }->{ ie_version } = $1;
            $ctx->{ __stash }->{ vars }->{ ie_version_id } = "$1$2";
            return 1;
        }
    }
    return 0;
}

1;